Bug 1228953 - [abrt] uget: ug_option_parse_entry(): uget-gtk killed by SIGSEGV
Summary: [abrt] uget: ug_option_parse_entry(): uget-gtk killed by SIGSEGV
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: uget
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:51d958368406d1d0bc63a08db1e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-07 03:05 UTC by Sergio Monteiro Basto
Modified: 2015-09-06 06:20 UTC (History)
1 user (show)

Fixed In Version: 2.0.1-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-28 17:36:10 UTC


Attachments (Terms of Use)
File: backtrace (18.36 KB, text/plain)
2015-06-07 03:05 UTC, Sergio Monteiro Basto
no flags Details
File: cgroup (189 bytes, text/plain)
2015-06-07 03:05 UTC, Sergio Monteiro Basto
no flags Details
File: core_backtrace (2.70 KB, text/plain)
2015-06-07 03:05 UTC, Sergio Monteiro Basto
no flags Details
File: dso_list (8.97 KB, text/plain)
2015-06-07 03:05 UTC, Sergio Monteiro Basto
no flags Details
File: environ (4.29 KB, text/plain)
2015-06-07 03:05 UTC, Sergio Monteiro Basto
no flags Details
File: exploitable (82 bytes, text/plain)
2015-06-07 03:05 UTC, Sergio Monteiro Basto
no flags Details
File: limits (1.29 KB, text/plain)
2015-06-07 03:05 UTC, Sergio Monteiro Basto
no flags Details
File: maps (43.43 KB, text/plain)
2015-06-07 03:05 UTC, Sergio Monteiro Basto
no flags Details
File: open_fds (183 bytes, text/plain)
2015-06-07 03:05 UTC, Sergio Monteiro Basto
no flags Details
File: proc_pid_status (959 bytes, text/plain)
2015-06-07 03:05 UTC, Sergio Monteiro Basto
no flags Details

Description Sergio Monteiro Basto 2015-06-07 03:05:01 UTC
Description of problem:
Hi, I just found simple add --quiet  to uget-gtk command line make it crash 

Version-Release number of selected component:
uget-2.0-1.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        uget-gtk --quiet
crash_function: ug_option_parse_entry
executable:     /usr/bin/uget-gtk
kernel:         4.0.4-202.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            500
var_log_messages: [System Logs]:\n-- Logs begin at Seg 2015-03-09 09:01:01 WET, end at Dom 2015-06-07 03:59:49 WEST. --

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 ug_option_parse_entry at UgOption.c:237
 #1 ug_option_parse at UgOption.c:202
 #2 uget_rpc_do_request at UgetRpc.c:158
 #3 uget_rpc_send_command at UgetRpc.c:240

Comment 1 Sergio Monteiro Basto 2015-06-07 03:05:04 UTC
Created attachment 1035766 [details]
File: backtrace

Comment 2 Sergio Monteiro Basto 2015-06-07 03:05:05 UTC
Created attachment 1035767 [details]
File: cgroup

Comment 3 Sergio Monteiro Basto 2015-06-07 03:05:06 UTC
Created attachment 1035768 [details]
File: core_backtrace

Comment 4 Sergio Monteiro Basto 2015-06-07 03:05:08 UTC
Created attachment 1035769 [details]
File: dso_list

Comment 5 Sergio Monteiro Basto 2015-06-07 03:05:09 UTC
Created attachment 1035770 [details]
File: environ

Comment 6 Sergio Monteiro Basto 2015-06-07 03:05:10 UTC
Created attachment 1035771 [details]
File: exploitable

Comment 7 Sergio Monteiro Basto 2015-06-07 03:05:12 UTC
Created attachment 1035772 [details]
File: limits

Comment 8 Sergio Monteiro Basto 2015-06-07 03:05:13 UTC
Created attachment 1035773 [details]
File: maps

Comment 9 Sergio Monteiro Basto 2015-06-07 03:05:14 UTC
Created attachment 1035774 [details]
File: open_fds

Comment 10 Sergio Monteiro Basto 2015-06-07 03:05:16 UTC
Created attachment 1035775 [details]
File: proc_pid_status

Comment 11 Mamoru TASAKA 2015-06-10 07:31:04 UTC
http://ugetdm.com/forum/viewtopic.php?f=6&t=872

Comment 12 Fedora Update System 2015-08-24 14:01:48 UTC
uget-2.0.1-1.fc23 has been submitted as an update to Fedora 23. https://bugzilla.redhat.com/show_bug.cgi?id=1228953

Comment 13 Fedora Update System 2015-08-24 14:03:15 UTC
uget-2.0.1-1.fc21 has been submitted as an update to Fedora 21. https://bugzilla.redhat.com/show_bug.cgi?id=1228953

Comment 14 Fedora Update System 2015-08-24 14:03:35 UTC
uget-2.0.1-1.fc22 has been submitted as an update to Fedora 22. https://bugzilla.redhat.com/show_bug.cgi?id=1228953

Comment 15 Fedora Update System 2015-08-24 21:54:23 UTC
uget-2.0.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update uget'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14105

Comment 16 Fedora Update System 2015-08-24 21:57:15 UTC
uget-2.0.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update uget'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14103

Comment 17 Fedora Update System 2015-08-24 22:22:09 UTC
uget-2.0.1-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update uget'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14104

Comment 18 Fedora Update System 2015-08-28 17:36:08 UTC
uget-2.0.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2015-09-06 04:50:17 UTC
uget-2.0.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2015-09-06 06:20:44 UTC
uget-2.0.1-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.